
.planet,
.cube,
.face,
.cosmos,
.box,
.orbit {
  display: flex;
  align-items: center;
  justify-content: center;
}

.planet,
.face {
  position: absolute;
  transform-style: preserve-3d;
  
}
.cube{position: absolute;color: #fff;
  font-size: 14px;text-align: center;}
.cosmos {
  width: 100%;
  height: 100%;
  overflow: hidden;
  perspective: 100vw;
}
.galaxy {
  animation: galaxy infinite ease-in-out alternate 10s;
  transform-style: preserve-3d;
  -webkit-animation: galaxy infinite ease-in-out alternate 10s;
}
.galaxy .box:nth-of-type(1) .planet {
  left: 0;
  transform-origin: 0;
  animation-duration: 25s;
}
.galaxy .box:nth-of-type(1) .planet .cube {
  width: 8vw;
  height: 8vw;
  animation-duration: 30s;
}
@keyframes rotation {
  100% {
    transform: rotate3d(1, 1, 1, 360deg);
    -webkit-transform: rotate3d(1, 1, 1, 360deg);
    -moz-transform: rotate3d(1, 1, 1, 360deg);
    -ms-transform: rotate3d(1, 1, 1, 360deg);
    -o-transform: rotate3d(1, 1, 1, 360deg);
}
}

.galaxy .box:nth-of-type(2) .planet {
  left: 7vw;
  transform-origin: -7vw;
  animation-duration: 2.5s;
}
.galaxy .box:nth-of-type(2) .planet .cube {
  width: 1vw;
  height: 1vw;
  animation-duration: 4s;
}
@keyframes rotation {
  100% {
    transform: rotate3d(1, 0, 0, 360deg);
    -webkit-transform: rotate3d(1, 0, 0, 360deg);
    -moz-transform: rotate3d(1, 0, 0, 360deg);
    -ms-transform: rotate3d(1, 0, 0, 360deg);
    -o-transform: rotate3d(1, 0, 0, 360deg);
}
}

.galaxy .box:nth-of-type(2) .planet .face,
.galaxy .box:nth-of-type(2) .planet .face::before,
.galaxy .box:nth-of-type(2) .planet .face::after {
  background-color: rgba(181, 89, 42, 0.25);
  border: 0.05vw solid #8c4520;
  box-shadow: 0 0 0.25vw 0.0625vw #dc9069 inset;
}
.galaxy .box:nth-of-type(2) .planet + .orbit {
  width: 14.1vw;
  height: 14.1vw;
}
.galaxy .box:nth-of-type(2) .planet + .orbit,
.galaxy .box:nth-of-type(2) .planet + .orbit::before,
.galaxy .box:nth-of-type(2) .planet + .orbit::after {
  border-width: 0.1vw;
}
.galaxy .box:nth-of-type(2) .planet + .orbit::before {
  width: 13.9vw;
  height: 13.9vw;
}
.galaxy .box:nth-of-type(2) .planet + .orbit::after {
  width: 14.3vw;
  height: 14.3vw;
}
.galaxy .box:nth-of-type(3) .planet {
  left: 10.1vw;
  transform-origin: -10.1vw;
  animation-duration: 1.5s;
}
.galaxy .box:nth-of-type(3) .planet .cube {
  width: 1.2vw;
  height: 1.2vw;
  animation-duration: 2s;
}
@keyframes rotation {
  100% {
    transform: rotate3d(0, 1, 0, 360deg);
    -webkit-transform: rotate3d(0, 1, 0, 360deg);
    -moz-transform: rotate3d(0, 1, 0, 360deg);
    -ms-transform: rotate3d(0, 1, 0, 360deg);
    -o-transform: rotate3d(0, 1, 0, 360deg);
}
}

.galaxy .box:nth-of-type(3) .planet .face,
.galaxy .box:nth-of-type(3) .planet .face::before,
.galaxy .box:nth-of-type(3) .planet .face::after {
  background-color: rgba(119, 65, 129, 0.25);
  border: 0.06vw solid #58305f;
  box-shadow: 0 0 0.3vw 0.075vw #ac71b7 inset;
}
.galaxy .box:nth-of-type(3) .planet + .orbit {
  width: 20.32vw;
  height: 20.32vw;
}
.galaxy .box:nth-of-type(3) .planet + .orbit,
.galaxy .box:nth-of-type(3) .planet + .orbit::before,
.galaxy .box:nth-of-type(3) .planet + .orbit::after {
  border-width: 0.12vw;
}
.galaxy .box:nth-of-type(3) .planet + .orbit::before {
  width: 20.08vw;
  height: 20.08vw;
}
.galaxy .box:nth-of-type(3) .planet + .orbit::after {
  width: 20.56vw;
  height: 20.56vw;
}
.galaxy .box:nth-of-type(4) .planet {
  left: 13.3vw;
  transform-origin: -13.3vw;
  animation-duration: 5s;
}
.galaxy .box:nth-of-type(4) .planet .cube {
  width: 2vw;
  height: 2vw;
  animation-duration: 5s;
}
@keyframes rotation {
  100% {
    transform: rotate3d(0, 0, 1, 360deg);
    -webkit-transform: rotate3d(0, 0, 1, 360deg);
    -moz-transform: rotate3d(0, 0, 1, 360deg);
    -ms-transform: rotate3d(0, 0, 1, 360deg);
    -o-transform: rotate3d(0, 0, 1, 360deg);
}
}

.galaxy .box:nth-of-type(4) .planet .face,
.galaxy .box:nth-of-type(4) .planet .face::before,
.galaxy .box:nth-of-type(4) .planet .face::after {
  background-color: rgba(0, 209, 255, 0.25);
  border: 0.1vw solid #00a7cc;
  box-shadow: 0 0 0.5vw 0.125vw #66e3ff inset;
}
.galaxy .box:nth-of-type(4) .planet + .orbit {
  width: 26.8vw;
  height: 26.8vw;
}
.galaxy .box:nth-of-type(4) .planet + .orbit,
.galaxy .box:nth-of-type(4) .planet + .orbit::before,
.galaxy .box:nth-of-type(4) .planet + .orbit::after {
  border-width: 0.2vw;
}
.galaxy .box:nth-of-type(4) .planet + .orbit::before {
  width: 26.4vw;
  height: 26.4vw;
}
.galaxy .box:nth-of-type(4) .planet + .orbit::after {
  width: 27.2vw;
  height: 27.2vw;
}
.galaxy .box:nth-of-type(5) .planet {
  left: 17.5vw;
  transform-origin: -17.5vw;
  animation-duration: 10s;
}
.galaxy .box:nth-of-type(5) .planet .cube {
  width: 1.6vw;
  height: 1.6vw;
  animation-duration: 7.5s;
}
@keyframes rotation {
  100% {
    transform: rotate3d(1, 1, 0, 360deg);
    -webkit-transform: rotate3d(1, 1, 0, 360deg);
    -moz-transform: rotate3d(1, 1, 0, 360deg);
    -ms-transform: rotate3d(1, 1, 0, 360deg);
    -o-transform: rotate3d(1, 1, 0, 360deg);
}
}

.galaxy .box:nth-of-type(5) .planet .face,
.galaxy .box:nth-of-type(5) .planet .face::before,
.galaxy .box:nth-of-type(5) .planet .face::after {
  background-color: rgba(23, 185, 120, 0.25);
  border: 0.08vw solid #118c5b;
  box-shadow: 0 0 0.4vw 0.1vw #4de9aa inset;
}
.galaxy .box:nth-of-type(5) .planet + .orbit {
  width: 35.16vw;
  height: 35.16vw;
}
.galaxy .box:nth-of-type(5) .planet + .orbit,
.galaxy .box:nth-of-type(5) .planet + .orbit::before,
.galaxy .box:nth-of-type(5) .planet + .orbit::after {
  border-width: 0.16vw;
}
.galaxy .box:nth-of-type(5) .planet + .orbit::before {
  width: 34.84vw;
  height: 34.84vw;
}
.galaxy .box:nth-of-type(5) .planet + .orbit::after {
  width: 35.48vw;
  height: 35.48vw;
}
.galaxy .box:nth-of-type(6) .planet {
  left: 20.15vw;
  transform-origin: -20.15vw;
  animation-duration: 20s;
}

.galaxy .box:nth-of-type(6) .planet:nth-of-type(1) {
    left: 20.15vw;
    transform-origin: -20.15vw;
    animation-duration: 20s;
}
.galaxy .box:nth-of-type(6) .planet:nth-of-type(2) {
    left: 20.15vw;
    transform-origin: -20.15vw;
    animation-duration: 22s;
}
.galaxy .box:nth-of-type(6) .planet:nth-of-type(3) {
    left: 20.15vw;
    transform-origin: -20.15vw;
    animation-duration: 25s;
}
.galaxy .box:nth-of-type(6) .planet:nth-of-type(4) {
    left: 20.15vw;
    transform-origin: -20.15vw;
    animation-duration: 28s;
}
.galaxy .box:nth-of-type(6) .planet:nth-of-type(5) {
    left: 20.15vw;
    transform-origin: -20.15vw;
    animation-duration: 30s;
}
@keyframes rotation {
  100% {
    transform: rotate3d(1, 0, 1, 360deg);
    -webkit-transform: rotate3d(1, 0, 1, 360deg);
    -moz-transform: rotate3d(1, 0, 1, 360deg);
    -ms-transform: rotate3d(1, 0, 1, 360deg);
    -o-transform: rotate3d(1, 0, 1, 360deg);
}
}

.galaxy .box:nth-of-type(6) .planet .face,
.galaxy .box:nth-of-type(6) .planet .face::before,
.galaxy .box:nth-of-type(6) .planet .face::after {
  background-color: rgba(183, 66, 66, 0.25);
  border: 0.065vw solid #923434;
  box-shadow: 0 0 0.325vw 0.08125vw #d58a8a inset;
}
.galaxy .box:nth-of-type(6) .planet + .orbit {
  width: 40.43vw;
  height: 40.43vw;
}
.galaxy .box:nth-of-type(6) .planet + .orbit,
.galaxy .box:nth-of-type(6) .planet + .orbit::before,
.galaxy .box:nth-of-type(6) .planet + .orbit::after {
  border-width: 0.13vw;
}
.galaxy .box:nth-of-type(6) .planet + .orbit::before {
  width: 40.17vw;
  height: 40.17vw;
}
.galaxy .box:nth-of-type(6) .planet + .orbit::after {
  width: 40.69vw;
  height: 40.69vw;
}
.galaxy .box:nth-of-type(7) .planet {
  left: 24.05vw;
  transform-origin: -24.05vw;
  animation-duration: 10s;
}
.galaxy .box:nth-of-type(7) .planet .cube {
  width: 2.5vw;
  height: 2.5vw;
  animation-duration: 10s;
}
.galaxy .box:nth-of-type(6) .planet .cube {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background: rgba(31,1,131,0.5) url('../images/img70.png') no-repeat center;
    background-size: contain;
    box-shadow: inset 0 1px 2px 30px rgba(66,46,227,.3);
    animation-duration: 15s;
  }
@keyframes rotation {
  100% {
    transform: rotate3d(-1, 0, 0, 360deg);
    -webkit-transform: rotate3d(-1, 0, 0, 360deg);
    -moz-transform: rotate3d(-1, 0, 0, 360deg);
    -ms-transform: rotate3d(-1, 0, 0, 360deg);
    -o-transform: rotate3d(-1, 0, 0, 360deg);
}
}
.galaxy .box:nth-of-type(7) .planet .face,
.galaxy .box:nth-of-type(7) .planet .face::before,
.galaxy .box:nth-of-type(7) .planet .face::after {
  background-color: rgba(253, 95, 0, 0.25);
  border: 0.125vw solid #ca4c00;
  box-shadow: 0 0 0.625vw 0.15625vw #ff9e64 inset;
}
.galaxy .box:nth-of-type(7) .planet + .orbit {
  width: 48.35vw;
  height: 48.35vw;
}
.galaxy .box:nth-of-type(7) .planet + .orbit,
.galaxy .box:nth-of-type(7) .planet + .orbit::before,
.galaxy .box:nth-of-type(7) .planet + .orbit::after {
  border-width: 0.25vw;
}
.galaxy .box:nth-of-type(7) .planet + .orbit::before {
  width: 47.85vw;
  height: 47.85vw;
}
.galaxy .box:nth-of-type(7) .planet + .orbit::after {
  width: 48.85vw;
  height: 48.85vw;
}
.galaxy .box:nth-of-type(8) .planet:nth-of-type(1) {
  left: 29.8vw;
  transform-origin: -29.8vw;
  animation-duration: 20s;
}
.galaxy .box:nth-of-type(8) .planet:nth-of-type(2) {
    left: 29.8vw;
    transform-origin: -29.8vw;
    animation-duration: 23s;
}
.galaxy .box:nth-of-type(8) .planet:nth-of-type(3) {
    left: 29.8vw;
    transform-origin: -29.8vw;
    animation-duration: 25s;
}
.galaxy .box:nth-of-type(8) .planet:nth-of-type(4) {
    left: 29.8vw;
    transform-origin: -29.8vw;
    animation-duration: 27s;
}
.galaxy .box:nth-of-type(8) .planet:nth-of-type(5) {
    left: 29.8vw;
    transform-origin: -29.8vw;
    animation-duration: 29s;
}
.galaxy .box:nth-of-type(8) .planet:nth-of-type(6) {
    left: 29.8vw;
    transform-origin: -29.8vw;
    animation-duration: 31s;
}
.galaxy .box:nth-of-type(8) .planet:nth-of-type(7) {
    left: 29.8vw;
    transform-origin: -29.8vw;
    animation-duration: 33s;
}
.galaxy .box:nth-of-type(8) .planet:nth-of-type(8) {
    left: 29.8vw;
    transform-origin: -29.8vw;
    animation-duration: 35s;
}
.galaxy .box:nth-of-type(8) .planet:nth-of-type(9) {
    left: 29.8vw;
    transform-origin: -29.8vw;
    animation-duration: 37s;
}
.galaxy .box:nth-of-type(8) .planet .cube {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background: rgba(31,1,131,0.5) url('../images/img70.png') no-repeat center;
    background-size: contain;
    box-shadow: inset 0 1px 2px 30px rgba(66,46,227,.3);
    animation-duration: 10s;
}
@keyframes rotation {
  100% {
    transform: rotate3d(0, 1, 1, 360deg);
    -webkit-transform: rotate3d(0, 1, 1, 360deg);
    -moz-transform: rotate3d(0, 1, 1, 360deg);
    -ms-transform: rotate3d(0, 1, 1, 360deg);
    -o-transform: rotate3d(0, 1, 1, 360deg);
}
}

.galaxy .box:nth-of-type(8) .planet .face,
.galaxy .box:nth-of-type(8) .planet .face::before,
.galaxy .box:nth-of-type(8) .planet .face::after {
  background-color: rgba(56, 89, 139, 0.25);
  border: 0.13vw solid #294267;
  box-shadow: 0 0 0.65vw 0.1625vw #678bc2 inset;
}
.galaxy .box:nth-of-type(8) .planet + .orbit {
  width: 59.86vw;
  height: 59.86vw;
}
.galaxy .box:nth-of-type(8) .planet + .orbit,
.galaxy .box:nth-of-type(8) .planet + .orbit::before,
.galaxy .box:nth-of-type(8) .planet + .orbit::after {
  border-width: 0.26vw;
}
.galaxy .box:nth-of-type(8) .planet + .orbit::before {
  width: 59.34vw;
  height: 59.34vw;
}
.galaxy .box:nth-of-type(8) .planet + .orbit::after {
  width: 60.38vw;
  height: 60.38vw;
}
.galaxy .box:nth-of-type(9) .planet {
  left: 33.7vw;
  transform-origin: -33.7vw;
  animation-duration: 4s;
}
.galaxy .box:nth-of-type(9) .planet .cube {
  width: 1.2vw;
  height: 1.2vw;
  animation-duration: 5s;
}
@keyframes rotation {
  100% {
    transform: rotate3d(0, -1, -1, 360deg);
    -webkit-transform: rotate3d(0, -1, -1, 360deg);
    -moz-transform: rotate3d(0, -1, -1, 360deg);
    -ms-transform: rotate3d(0, -1, -1, 360deg);
    -o-transform: rotate3d(0, -1, -1, 360deg);
}
}

.galaxy .box:nth-of-type(9) .planet .face,
.galaxy .box:nth-of-type(9) .planet .face::before,
.galaxy .box:nth-of-type(9) .planet .face::after {
  background-color: rgba(255, 120, 174, 0.25);
  border: 0.06vw solid #ff458f;
  box-shadow: 0 0 0.3vw 0.075vw #ffdeeb inset;
}
.galaxy .box:nth-of-type(9) .planet + .orbit {
  width: 67.52vw;
  height: 67.52vw;
}
.galaxy .box:nth-of-type(9) .planet + .orbit,
.galaxy .box:nth-of-type(9) .planet + .orbit::before,
.galaxy .box:nth-of-type(9) .planet + .orbit::after {
  border-width: 0.12vw;
}
.galaxy .box:nth-of-type(9) .planet + .orbit::before {
  width: 67.28vw;
  height: 67.28vw;
}
.galaxy .box:nth-of-type(9) .planet + .orbit::after {
  width: 67.76vw;
  height: 67.76vw;
}
.galaxy .box:nth-of-type(10) .planet {
  left: 36.3vw;
  transform-origin: -36.3vw;
  animation-duration: 20s;
}
.galaxy .box:nth-of-type(10) .planet .cube {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  background: rgba(31,1,131,0.5) url('../images/img70.png') no-repeat center;
  background-size: contain;
  box-shadow: inset 0 1px 2px 30px rgba(66,46,227,.3);
  animation-duration: 15s;
}
.galaxy .box:nth-of-type(10) .planet:nth-of-type(1) {
    left: 36.3vw;
    transform-origin: -36.3vw;
    animation-duration: 20s;
}
.galaxy .box:nth-of-type(10) .planet:nth-of-type(2) {
    left: 36.3vw;
    transform-origin: -36.3vw;
    animation-duration: 23s;
}
.galaxy .box:nth-of-type(10) .planet:nth-of-type(3) {
    left: 36.3vw;
    transform-origin: -36.3vw;
    animation-duration: 30s;
}
.galaxy .box:nth-of-type(10) .planet:nth-of-type(3) .cube {
    width: 60px;
    height: 60px;
}
.galaxy .box:nth-of-type(10) .planet:nth-of-type(4) {
    left: 36.3vw;
    transform-origin: -36.3vw;
    animation-duration: 32s;
}
.galaxy .box:nth-of-type(10) .planet:nth-of-type(5) {
    left: 36.3vw;
    transform-origin: -36.3vw;
    animation-duration: 35s;
}
.galaxy .box:nth-of-type(10) .planet:nth-of-type(6) {
    left: 36.3vw;
    transform-origin: -36.3vw;
    animation-duration: 40s;
}
.galaxy .box:nth-of-type(10) .planet:nth-of-type(7) {
    left: 36.3vw;
    transform-origin: -36.3vw;
    animation-duration: 44s;
}
.galaxy .box:nth-of-type(10) .planet:nth-of-type(7) .cube {
    width: 100px;
    height: 100px;
}
.galaxy .box:nth-of-type(10) .planet:nth-of-type(8) {
    left: 36.3vw;
    transform-origin: -36.3vw;
    animation-duration: 46s;
}

@keyframes rotation {
  100% {
    transform: rotate3d(0, 1, -1, 360deg);
    -webkit-transform: rotate3d(0, 1, -1, 360deg);
    -moz-transform: rotate3d(0, 1, -1, 360deg);
    -ms-transform: rotate3d(0, 1, -1, 360deg);
    -o-transform: rotate3d(0, 1, -1, 360deg);
}
}

.galaxy .box:nth-of-type(10) .planet .face,
.galaxy .box:nth-of-type(10) .planet .face::before,
.galaxy .box:nth-of-type(10) .planet .face::after {
  background-color: rgba(123, 119, 255, 0.25);
  border: 0.05vw solid #4a44ff;
  box-shadow: 0 0 0.25vw 0.0625vw #deddff inset;
}
.galaxy .box:nth-of-type(10) .planet + .orbit {
  width: 72.7vw;
  height: 72.7vw;
}
.galaxy .box:nth-of-type(10) .planet + .orbit,
.galaxy .box:nth-of-type(10) .planet + .orbit::before,
.galaxy .box:nth-of-type(10) .planet + .orbit::after {
  border-width: 0.1vw;
}
.galaxy .box:nth-of-type(10) .planet + .orbit::before {
  width: 72.5vw;
  height: 72.5vw;
}
.galaxy .box:nth-of-type(10) .planet + .orbit::after {
  /* width: 72.9vw; */ /* height: 72.9vw; */
}
@keyframes galaxy {
  0% {
    transform: translate3d(0, -2vw, -1vw) rotate3d(20, -1, 10, -15deg);
    -webkit-transform: translate3d(0, -2vw, -1vw) rotate3d(20, -1, 10, -15deg);
    -moz-transform: translate3d(0, -2vw, -1vw) rotate3d(20, -1, 10, -15deg);
    -ms-transform: translate3d(0, -2vw, -1vw) rotate3d(20, -1, 10, -15deg);
    -o-transform: translate3d(0, -2vw, -1vw) rotate3d(20, -1, 10, -15deg);
}
  100% {
    transform: translate3d(0, -2vw, -1vw) rotate3d(20, -1, 10, -15deg);
    -webkit-transform: translate3d(0, -2vw, -1vw) rotate3d(20, -1, 10, -15deg);
    -moz-transform: translate3d(0, -2vw, -1vw) rotate3d(20, -1, 10, -15deg);
    -ms-transform: translate3d(0, -2vw, -1vw) rotate3d(20, -1, 10, -15deg);
    -o-transform: translate3d(0, -2vw, -1vw) rotate3d(20, -1, 10, -15deg);
}
}
.planet {
  animation: orbit infinite linear;
  -webkit-animation: orbit infinite linear;
}
.orbit {
  transform: rotate3d(1, 0, 0, 90deg);
  -webkit-transform: rotate3d(1, 0, 0, 90deg);
  -moz-transform: rotate3d(1, 0, 0, 90deg);
  -ms-transform: rotate3d(1, 0, 0, 90deg);
  -o-transform: rotate3d(1, 0, 0, 90deg);
}
.orbit,
.orbit::before,
.orbit::after {
  position: absolute;
  border-radius: 50%;
  border-style: solid;
}
.orbit::before,
.orbit::after {
  content: "";
}
.orbit {
  border-color: #323232;
}
.orbit::before {
  border-color: #0d7377;
}
.orbit::after {
  border-color: #14ffec;
}
.cube {
  /* animation: rotation infinite linear; */
}
.face,
.face::before,
.face::after {
  width: 100%;
  height: 100%;
}
.face::before,
.face::after {
  content: "";
  position: absolute;
  box-sizing: content-box;
}
@keyframes orbit {
  100% {
    transform: rotate3d(0, 1, 0, 360deg);
    -webkit-transform: rotate3d(0, 1, 0, 360deg);
    -moz-transform: rotate3d(0, 1, 0, 360deg);
    -ms-transform: rotate3d(0, 1, 0, 360deg);
    -o-transform: rotate3d(0, 1, 0, 360deg);
}
}






.box{
  display: none;
}